package constants
{

	/**
	 * The Resources class holds the constants for names used throughout the game
	 */
	public class Resources
	{
		/**
		 * The folder that holds our assets
		 */
		public static const ASSETS_FOLDER:String = "assets/";
		
		/**
		 * The name of the atlas that holds our sprites
		 */
		public static const ATLAS_SPRITES:String = "gameSprites";
		
		/**
		 * The name of the atlas that holds our main menu images
		 */
		public static const ATLAS_BACKGROUNDS:String = "backgrounds";
		
		/**
		 * The name of the atlas that holds our main menu images
		 */
		public static const ATLAS_BUTTONS:String = "buttons";
		
		/**
		 * The white background
		 */
		public static const IMG_BG_WHITE:String = ASSETS_FOLDER + "bgWhite.png";
		
		/**
		 * The sprites for the check button
		 */
		public static const SPRITE_BTN_CHECK:String 		= "check";
		public static const SPRITE_BTN_CHECK_DOWN:String	= "check_down";
		
		/**
		 * The sprites for the raise button
		 */
		public static const SPRITE_BTN_RAISE:String			= "raise";
		public static const SPRITE_BTN_RAISE_DOWN:String	= "raise_down";
		
		/**
		 * The sprites for the ok button
		 */
		public static const SPRITE_BTN_OK:String		= "ok";
		public static const SPRITE_BTN_OK_DOWN:String	= "ok_down";
		
		/**
		 * The sprites for the fold button
		 */
		public static const SPRITE_BTN_FOLD:String		= "fold";
		public static const SPRITE_BTN_FOLD_DOWN:String	= "fold_down";
		
		/**
		 * The name for the game logo sprite
		 */
		public static const SPRITE_GAME_LOGO:String = "gameLogo";
		
		/**
		 * The name for the ds logo sprite
		 */
		public static const SPRITE_DS_LOGO:String = "ds_logo";
		
		/**
		 * The name for the main menu bg sprite
		 */
		public static const SPRITE_MAIN_MENU_BG:String = "bg";
		
		/**
		 * The name for our play bg sprite
		 */
		public static const SPRITE_PLAY_BG:String = "bgPlay";
		
		/**
		 * The names for the money stack sprites
		 */
		public static const SPRITE_MONEY_STACK_1:String = "moneyStack1";
		public static const SPRITE_MONEY_STACK_2:String = "moneyStack2";
		public static const SPRITE_MONEY_STACK_3:String = "moneyStack3";
		public static const SPRITE_MONEY_STACK_4:String = "moneyStack4";
		public static const SPRITE_MONEY_STACK_5:String = "moneyStack5";
		public static const SPRITE_MONEY_STACK_6:String = "moneyStack6";
		public static const SPRITE_MONEY_STACK_7:String = "moneyStack7";
		public static const SPRITE_MONEY_STACK_8:String = "moneyStack8";
		public static const SPRITE_MONEY_STACK_9:String = "moneyStack9";
		public static const SPRITE_MONEY_STACK_10:String = "moneyStack10";
		
		/**
		 * The name for the table sprite
		 */
		public static const SPRITE_TABLE:String = "table";
		
		/**
		 * The name for the dealer button sprite
		 */
		public static const SPRITE_DEALER_BUTTON:String = "dealerButton";
		
		/**
		 * The name for the card back graphic
		 */
		public static const SPRITE_CARD_BACK:String = "cardBack";
		
		/**
		 * The name for the card highlight graphic
		 */
		public static const SPRITE_CARD_HIGHLIGHT:String = "cardHighlight";
		
		/**
		 * The name for the card stack sprite
		 */
		public static const SPRITE_CARD_STACK:String = "cardStack";
		
		/** 
		 * The default image for a player
		 */
		public static const SPRITE_DEFAULT_PLAYER:String = "pierre";
		
		/**
		 * The speech bubble for the opponent so we can see what they're thinking
		 */
		public static const SPRITE_SPEECH_BUBBLE:String = "speechBubble";
		
		/**
		 * The msg bar so we can give messages to the player
		 */
		public static const SPRITE_MSG_BAR:String = "msgBar";
		
		/**
		 * The sprite name for the win/lose popup graphics
		 */
		public static const SPRITE_POPUP_WIN_LOSE:String = "winLosePopup";
		
		/**
		 * The sprite name for the charity popup graphics
		 */
		public static const SPRITE_POPUP_CHARITY:String = "charityPopup";
		
		/**
		 * The url for the curse font
		 */
		public static const FONT_CURSE:String = ASSETS_FOLDER + "Curse-hd.fnt";
		
		/**
		 * The coin sound that we play in the ds state
		 */
		public static const SOUND_COIN:String = ASSETS_FOLDER + "coin.mp3";
		
		/**
		 * The XML file containing the data from our players
		 */
		public static const XML_PLAYERS:String = ASSETS_FOLDER + "players.xml";
	}
	
}