package gui
{
	import constants.Resources;
	import logic.Deck;
	
	/**
	 * The poker table that we play at
	 */
	public class Table extends Image
	{
		
		/**********************************************************************/
		
		private var m_cardStack:CardStack = null; // the stack of cards for the game
		
		/**********************************************************************/
		
		/**
		 * Creates a new Table
		 * @param deck The Deck that we're using for the game
		 */
		public function Table( deck:Deck )
		{
			super( Resources.ATLAS_SPRITES, Resources.SPRITE_TABLE );
			
			// create our card stack
			this.m_cardStack 	= new CardStack( deck );
			this.m_cardStack.x	= 525.0;
			this.m_cardStack.y	= 90.0;
			this.addChild( this.m_cardStack );
		}
		
		/**
		 * Destroys the Table and clears it for garbage collection
		 */
		override public function destroy():void
		{
			super.destroy();
			
			// destroy any objects
			this.m_cardStack.destroy();
			
			// null our properties
			this.m_cardStack = null;
		}
		
		/**
		 * Resets the table for a new match
		 */
		public function reset():void
		{
			this.m_cardStack.reset();
		}
		
	}
}