package gui.popups
{
	import cocos2d.ccColor3B;
	
	import constants.Resources;
	import gui.TextField;
	import logic.MainPlayer;
	
	/**
	 * The popup shown when the player doesn't have enough money and we need to give them some
	 */
	public class PopupCharity extends Popup
	{
		
		/**********************************************************************/
		
		private var m_txtMsg:TextField = null;	// message for the player
		
		/**********************************************************************/
		
		/**
		 * Creates a new PopupCharity
		 * @param canvasWidth The width of the canvas
		 * @param canvasHeight The height of the canavs
		 * @param moneyGiven The money given to the player
		 */
		public function PopupCharity( canvasWidth:Number, canvasHeight:Number, moneyGiven:int )
		{
			super( Resources.ATLAS_SPRITES, Resources.SPRITE_POPUP_CHARITY, canvasWidth, canvasHeight );
			
			// set our title
			this.m_txtTitle.text 	= "Ohlala...";
			this.m_txtTitle.x		= 210.0 - this.m_txtTitle.width * 0.5;
			this.m_txtTitle.y		= 240.0;
			
			// create our textfield
			this.m_txtMsg 		= new TextField( "Hm, that didn't go so good. Here's " + moneyGiven + " to get you back in the game. Get better", Resources.FONT_CURSE, new ccColor3B( 0, 0, 0 ) );
			this.m_txtMsg.scale	= 0.25;
			this.m_txtMsg.x		= 55.0;
			this.m_txtMsg.y		= 175.0;
			this.m_txtMsg.setWidth( 305.0 );
			this.addChild( this.m_txtMsg );
			
			// position our button
			this.m_btnOK.y = this.m_btnOK.height + 40.0;
		}
		
		/**
		 * Destroys the PopupCharity and clears it for garbage collection
		 */
		override public function destroy():void
		{
			super.destroy();
			
			// destroy our objects
			this.m_txtMsg.destroy();
			
			// null our properties
			this.m_txtMsg = null;
		}
		
	}
}