package logic.animations
{
	import Loom.Animation.Tween;
	import Loom.Animation.EaseType;
	
	import gui.PlayerGraphics;
	
	/**
	 * The lose animation, which we'll play on the ai player when they lose a hand
	 */
	public class AnimationLose extends Animation
	{
		
		/**********************************************************************/
		
		private var m_origY:Number = 0.0; // the original y for the graphics
		
		/**********************************************************************/
	
		/**
		 * Creates a new Animation
		 * @param name The name of the animation
		 * @param graphics The graphics that we're controlling in this animation
		 */
		public function AnimationLose( name:String, graphics:PlayerGraphics )
		{
			super( name, graphics );
		}
		
		/**
		 * Plays the lose animation
		 */
		override function play():void
		{
			this.m_origY = this.m_graphics.y;
			this.m_aiPlayer.say( "Noooo!", true );
			Tween.to( this.m_graphics, 1.0, { "y":this.m_graphics.y - 40, "rotation":20, "ease":EaseType.EASE_OUT } ).onComplete += this._onLeanComplete;
		}
		
		/**********************************************************************/
		
		// called when our lean part has finished
		private function _onLeanComplete( t:Tween ):void
		{
			Tween.to( this.m_graphics, 0.2, { "y":this.m_origY, "rotation":0, "ease":EaseType.EASE_OUT } ).onComplete += this._onReturnComplete;
		}
		
		// called when we've returned to our original position
		private function _onReturnComplete( t:Tween ):void
		{
			this.onFinish();
		}
		
	}
}