package state
{
    import cocos2d.CCScaledLayer;
	
	/**
	 * A MainGameState class, for the main states like menu, play etc
	 */
	public class MainGameState extends GameState
	{
		
		/**********************************************************************/
		
		/**
		 * The main canvas for the game
		 */
		[Inject]
		public var canvas:CCScaledLayer = null;
		
		/**********************************************************************/
		
		/**
		 * Creates a new MainGameState
		 * @param name The name of our game state
		 */
		public function MainGameState( name:String )
		{
			super( name );
		}
		
		/**
		 * Destroys the MainGameState and clears it for garbage collection
		 */
		override public function destroy():void
		{
			super.destroy();
			
			// clear our properties
			this.canvas = null;
		}
	}
}